automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: don't explicitly trace files included from configure.ac (PR/450)


From: Alexandre Duret-Lutz
Subject: FYI: don't explicitly trace files included from configure.ac (PR/450)
Date: Tue, 01 Mar 2005 23:17:17 +0100
User-agent: Gnus/5.110003 (No Gnus v0.3) Emacs/21.3.50 (gnu/linux)

I'm installing this on HEAD and branch-1-9.
It turned out to be easier than I dreaded.

2005-03-01  Alexandre Duret-Lutz  <address@hidden>

        Fix for PR automake/450:
        * aclocal.in (trace_used_macros): Do not explicitly trace files
        included by configure.ac.
        * tests/acloca19.test: New file.
        * tests/Makefile.am (TESTS): Add acloca19.test.
        Report from Peter Breitenlohner.

Index: aclocal.in
===================================================================
RCS file: /cvs/automake/automake/aclocal.in,v
retrieving revision 1.104.2.4
diff -u -r1.104.2.4 aclocal.in
--- aclocal.in  5 Jan 2005 19:04:21 -0000       1.104.2.4
+++ aclocal.in  1 Mar 2005 22:06:20 -0000
@@ -418,6 +418,8 @@
 {
   my %files = map { $map{$_} => 1 } keys %macro_seen;
   $files{'acinclude.m4'} = 1 if -f 'acinclude.m4';
+  # File included by $configure_ac are redundant.
+  $files{$configure_ac} = 1;
   %files = strip_redundant_includes %files;
   # configure.ac is implicitly included.
   delete $files{$configure_ac};
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.565.2.13
diff -u -r1.565.2.13 Makefile.am
--- tests/Makefile.am   12 Feb 2005 11:43:00 -0000      1.565.2.13
+++ tests/Makefile.am   1 Mar 2005 22:06:20 -0000
@@ -20,6 +20,7 @@
 acloca15.test \
 acloca16.test \
 acloca17.test \
+acloca19.test \
 acoutnoq.test \
 acoutpt.test \
 acoutpt2.test \
Index: tests/acloca19.test
===================================================================
RCS file: tests/acloca19.test
diff -N tests/acloca19.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/acloca19.test 1 Mar 2005 22:06:20 -0000
@@ -0,0 +1,50 @@
+#! /bin/sh
+# Copyright (C) 2005  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure aclocal does not fail on configure.ac inclusions that do
+# more than just variable definitions.
+# Report from Peter Breitenlohner (PR/450).
+
+. ./defs || exit 1
+
+set -e
+
+cat >configure.in <<'END'
+AC_INIT([acloca19], [1.0])
+m4_include([aconfig.ac])
+AC_OUTPUT
+END
+
+cat >aconfig.ac <<'END'
+AM_INIT_AUTOMAKE
+AC_DEFUN([FOO], [bar])
+sinclude([bconfig.ac])
+END
+
+cat >bconfig.ac <<'END'
+AC_ARG_WITH([grepme], [string])
+END
+
+$ACLOCAL
+$AUTOCONF
+./configure
+grep 'aconfig\.ac' aclocal.m4 && exit 1
+grep 'bconfig\.ac' aclocal.m4 && exit 1
+grep with-grepme configure

-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]